// Microsoft Visual C++ generated resource script.
//
#include "gxLibResource.h"

#define APSTUDIO_READONLY_SYMBOLS
/////////////////////////////////////////////////////////////////////////////
//
// Generated from the TEXTINCLUDE 2 resource.
//
#ifndef APSTUDIO_INVOKED
//#include "targetver.h"
#endif
#define APSTUDIO_HIDDEN_SYMBOLS
#include "windows.h"
#undef APSTUDIO_HIDDEN_SYMBOLS

/////////////////////////////////////////////////////////////////////////////
#undef APSTUDIO_READONLY_SYMBOLS

/////////////////////////////////////////////////////////////////////////////
// 日本語 (日本) resources

#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_JPN)
LANGUAGE LANG_JAPANESE, SUBLANG_DEFAULT
#pragma code_page(932)

/////////////////////////////////////////////////////////////////////////////
//
// Icon
//

// Icon with lowest ID value placed first to ensure application icon
// remains consistent on all systems.
IDI_SMALL               ICON                    "gxLib.ico"

IDI_WINDOWSPROJECT1     ICON                    "gxLib.ico"


/////////////////////////////////////////////////////////////////////////////
//
// Menu
//

IDC_HELPWINDOW MENU
BEGIN
    POPUP "ファイル(&F)"
    BEGIN
        MENUITEM "スクリーンショット\tF12",            IDM_SCREENSHOT
        POPUP "デバッグ\tF9"
        BEGIN
            MENUITEM "概要",                       IDM_WINDOW_DEBUG_OVERVIEW
            MENUITEM "ログ",                       IDM_WINDOW_DEBUG_LOG
            MENUITEM "テクスチャ",                 IDM_WINDOW_DEBUG_TEXTURE
            MENUITEM "サウンド",                   IDM_WINDOW_DEBUG_SOUND
            MENUITEM "コントローラー",             IDM_WINDOW_DEBUG_INPUT
        END
        MENUITEM "リセット\tF5",                  IDM_RESET
        MENUITEM SEPARATOR
        MENUITEM "終了(&X)",                      IDM_EXIT
    END
    POPUP "表示(&E)"
    BEGIN
        POPUP "レンダリング"
        BEGIN
            MENUITEM "オリジナル",                       IDM_WINDOW_ORIGINAL
            MENUITEM "アスペクト",                       IDM_WINDOW_ASPECT
            MENUITEM "ストレッチ",                       IDM_WINDOW_STRETCH
        END
        POPUP "画面モード\tALT+ENTER"
        BEGIN
            MENUITEM "ウインドウ",                     IDM_SCREENMODE_WINDOW
	        MENUITEM "フルスクリーン",                 IDM_SCREENMODE_FULL
        END
        POPUP "画面サイズ"
        BEGIN
            MENUITEM "x0.5",                     IDM_WINDOW_SIZE50
            MENUITEM "x1",                       IDM_WINDOW_SIZE100
            MENUITEM "x2",                       IDM_WINDOW_SIZE200
        END
        POPUP "フィルタ\tF8"
        BEGIN
            MENUITEM "バイリニア",                    IDM_DRAW_BILINEAR
            MENUITEM "ニアレスト",                     IDM_DRAW_NEAREST
        END
    END
    POPUP "サウンド(&S)"
    BEGIN
        MENUITEM "有効",                          IDM_SOUND_ON
        MENUITEM "無効",                          IDM_SOUND_OFF
    END
    POPUP "コントローラー(&C)"
    BEGIN
        MENUITEM "バーチャルパッド\tF4",                    IDM_CONTROLLER
    END
    POPUP "ヘルプ(&H)"
    BEGIN
        MENUITEM "ライセンス\tF11...",               IDM_LICENSE
        MENUITEM "マニュアル\tF10...",               IDM_MANUAL
        MENUITEM SEPARATOR
        MENUITEM "gxLibについて(&A)...",            IDM_ABOUT
    END
END


/////////////////////////////////////////////////////////////////////////////
//
// Accelerator
//

IDC_WINDOWSPROJECT1 ACCELERATORS
BEGIN
    "?",            IDM_ABOUT,              ASCII,  ALT
    "/",            IDM_ABOUT,              ASCII,  ALT
END


/////////////////////////////////////////////////////////////////////////////
//
// Dialog
//

IDD_ABOUTBOX DIALOGEX 0, 0, 170, 62
STYLE DS_SETFONT | DS_MODALFRAME | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "gxLib2018"
FONT 9, "MS UI Gothic", 0, 0, 0x1
BEGIN
    ICON            IDI_SMALL,IDC_STATIC,20,16,20,20
    LTEXT           "(C) 2018 GARURU Labs. ",IDC_STATIC,53,17,74,8
    LTEXT           "All Rights Reserved.",IDC_STATIC,53,29,70,8
    DEFPUSHBUTTON   "OK",IDOK,113,41,50,14,WS_GROUP
END

IDD_DIALOG_LICENSE DIALOGEX 0, 0, 309, 176
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "License"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,198,155,50,14
    PUSHBUTTON      "キャンセル",IDCANCEL,252,155,50,14
    EDITTEXT        IDC_EDIT1,15,19,287,128,ES_MULTILINE | ES_AUTOHSCROLL | ES_READONLY | WS_DISABLED
END


/////////////////////////////////////////////////////////////////////////////
//
// DESIGNINFO
//

#ifdef APSTUDIO_INVOKED
GUIDELINES DESIGNINFO
BEGIN
    IDD_ABOUTBOX, DIALOG
    BEGIN
        LEFTMARGIN, 7
        RIGHTMARGIN, 163
        TOPMARGIN, 7
        BOTTOMMARGIN, 55
    END

    IDD_DIALOG_LICENSE, DIALOG
    BEGIN
        LEFTMARGIN, 7
        RIGHTMARGIN, 302
        TOPMARGIN, 7
        BOTTOMMARGIN, 169
    END
END
#endif    // APSTUDIO_INVOKED


#ifdef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// TEXTINCLUDE
//

1 TEXTINCLUDE 
BEGIN
    "gxLibResource.h\0"
END

2 TEXTINCLUDE 
BEGIN
    "#ifndef APSTUDIO_INVOKED\r\n"
    "#include ""targetver.h""\r\n"
    "#endif\r\n"
    "#define APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "#include ""windows.h""\r\n"
    "#undef APSTUDIO_HIDDEN_SYMBOLS\r\n"
    "\0"
END

3 TEXTINCLUDE 
BEGIN
    "\r\n"
    "\0"
END

#endif    // APSTUDIO_INVOKED

#endif    // 日本語 (日本) resources
/////////////////////////////////////////////////////////////////////////////



#ifndef APSTUDIO_INVOKED
/////////////////////////////////////////////////////////////////////////////
//
// Generated from the TEXTINCLUDE 3 resource.
//


/////////////////////////////////////////////////////////////////////////////
#endif    // not APSTUDIO_INVOKED

